--- title: "getThresholdNotiConfig" slug: "security-filesafer-getthresholdnoticonfig" tags: ["File Safer"] updated: 2026-09-17T10:25:45Z published: 2026-09-17T10:25:45Z canonical: "api.ncloud-docs.com/security-filesafer-getthresholdnoticonfig" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getThresholdNotiConfig Available in Classic and VPC Get the value of advanced settings in the notification settings for analysis results using hash filter. Advanced settings are features that notify you when a threshold amount of malware is detected over a period of time. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /hashfilter/v1/getThresholdNotiConfig | ### Request headers For information about the headers common to all File Safer APIs, see [File Safer request headers](/docs/en/security-filesafer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request POST 'https://filesafer.apigw.ntruss.com/hashfilter/v1/getThresholdNotiConfig' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-apigw-api-key: {API Gateway API Key}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | Required | Response code | | `returnMessage` | String | Required | Response message | | `thresholdNotificationInfoList` | Array | Required | Notification setting information for analysis results: [thresholdNotificationInfoList](/docs/en/security-filesafer-getthresholdnoticonfig#thresholdNotificationInfoList) - If the object exists: Set up notifications - If no object exists: Do not set up notifications | #### `thresholdNotificationInfoList` The following describes `thresholdNotificationInfoList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `notificationType` | String | Conditional | Conditions for analysis results notification - `MAL` \| `ERR` - `MAL`: Notify when malware is detected - `ERR`: Notify when query fails - Include only if you have advanced settings within notification settings | | `referenceTime` | Integer | Conditional | Time to detect malware that meets the threshold (minute) - 5 - 30 - Include only if you have advanced settings within notification settings | | `thresholdValue` | Integer | Conditional | Threshold (case) - 1 - 1000 - Include only if you have advanced settings within notification settings | ### Response status codes For information about the HTTP status codes common to all File Safer APIs, see [File Safer response status codes](/docs/en/security-filesafer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: #### If advanced settings are enabled The following is a sample response if you have advanced settings in the notification settings for analysis results. ``` { "returnCode": "0", "returnMessage": "success", "thresholdNotificationInfoList": [ { "notificationType": "MAL", "referenceTime": 5, "thresholdValue": 1 } ] } ``` #### If advanced settings are disabled The following is a sample response if you don't have advanced settings in the notification settings for analysis results. ``` { "returnCode": "0", "returnMessage": "success", "thresholdNotificationInfoList": [ ] } ```